QueryEval (Java SE 26 & JDK 26)
Description: declaration: module: java.management, package: javax.management, class: QueryEval
Keywords: javax.management.QueryEval class

# Class QueryEval

java.lang.Object
javax.management.QueryEval

All Implemented Interfaces:
  `Serializable`

public abstract class QueryEval extends Object implements Serializable
Allows a query to be performed in the context of a specific MBean server.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryEval()`
  Constructor for subclasses to call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MBeanServer`
  `getMBeanServer()`
  Return the MBean server that was most recently given to the `setMBeanServer` method by this thread.
  `void`
  `setMBeanServer(MBeanServer s)`
  Sets the MBean server on which the query is to be performed.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### QueryEval

    public QueryEval()
    Constructor for subclasses to call.

- ## Method Details

  - ### setMBeanServer

    public void setMBeanServer(MBeanServer s)

    Sets the MBean server on which the query is to be performed. The setting is valid for the thread performing the set. It is copied to any threads created by that thread at the moment of their creation.

    For historical reasons, this method is not static, but its behavior does not depend on the instance on which it is called.

    Parameters:
      `s` - The MBean server on which the query is to be performed.
    See Also:
      - `getMBeanServer()`

  - ### getMBeanServer

    public static MBeanServer getMBeanServer()

    Return the MBean server that was most recently given to the `setMBeanServer` method by this thread. If this thread never called that method, the result is the value its parent thread would have obtained from `getMBeanServer` at the moment of the creation of this thread, or null if there is no parent thread.

    Returns:
      the MBean server.
    See Also:
      - `setMBeanServer(MBeanServer)`